Bug 2003639 - Console pods are scheduled on single master node
Summary: Console pods are scheduled on single master node
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Management Console
Version: 4.7
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: 4.8.z
Assignee: Jakub Hadvig
QA Contact: Yanping Zhang
URL:
Whiteboard:
Depends On: 1975379
Blocks: 2016654
TreeView+ depends on / blocked
 
Reported: 2021-09-13 11:12 UTC by Jakub Hadvig
Modified: 2021-10-25 06:35 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-09-27 19:53:12 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift console-operator pull 589 0 None open [release-4.8] Bug 2003639: Use kubernetes.io/hostname for workload anti-affi… …nity 2021-09-13 11:18:58 UTC
Red Hat Product Errata RHBA-2021:3632 0 None None None 2021-09-27 19:53:29 UTC

Description Jakub Hadvig 2021-09-13 11:12:00 UTC
This bug was initially created as a copy of Bug #1975379

I am copying this bug because: 
Backport to 4.8


Description of problem:
Console pods are scheduled on single master node.

 oc get pods -owide
NAME                        READY   STATUS    RESTARTS   AGE    IP            NODE                                                   NOMINATED NODE   READINESS GATES
console-6558bcb9f9-7cnjk    1/1     Running   1          3d1h   10.129.0.38   master-1.abc.com   <none>           <none>
console-6558bcb9f9-fwpzf    1/1     Running   0          3d1h   10.129.0.46   master-1.abc.com   <none>           <none>
downloads-84f554976-9nwr2   1/1     Running   0          3d1h   10.131.0.11   worker-2.abc.com   <none>           <none>
downloads-84f554976-wl655   1/1     Running   0          3d1h   10.129.2.7    worker-0.abc.com   <none>           <none>


oc get nodes
NAME               STATUS   ROLES    AGE    VERSION
master-0.abc.com   Ready    master   3d1h   v1.20.0+df9c838
master-1.abc.com   Ready    master   3d1h   v1.20.0+df9c838
master-2.abc.com   Ready    master   3d1h   v1.20.0+df9c838
worker-0.abc.com   Ready    worker   3d1h   v1.20.0+df9c838
worker-1.abc.com   Ready    worker   3d1h   v1.20.0+df9c838
worker-2.abc.com   Ready    worker   3d1h   v1.20.0+df9c838


Actual results:
Console pods are scheduled on single master node

Expected results:
Console pods should be scheduled on different master node

Comment 2 Yanping Zhang 2021-09-18 03:57:54 UTC
Launch cluster against pr589, check pods in openshift-console, they are deployed in different nodes now.
And also the affinity is updated to "requiredDuringSchedulingIgnoredDuringExecution":
# oc get deployment console -n openshift-console -o yaml |grep "affinity" -A2
      affinity:
        podAntiAffinity:
          requiredDuringSchedulingIgnoredDuringExecution:
# oc get deployment downloads -n openshift-console -o yaml |grep "affinity" -A2
      affinity:
        podAntiAffinity:
          requiredDuringSchedulingIgnoredDuringExecution:

# oc get pods -n openshift-console -o wide
NAME                         READY   STATUS    RESTARTS   AGE   IP            NODE                                       NOMINATED NODE   READINESS GATES
console-868659f8f5-9qx9c     1/1     Running   1          26m   10.128.0.44   ci-ln-w2x1vi2-f76d1-bbrl5-master-1         <none>           <none>
console-868659f8f5-h9gkh     1/1     Running   1          26m   10.129.0.41   ci-ln-w2x1vi2-f76d1-bbrl5-master-2         <none>           <none>
downloads-7cc4fb98f5-9llxz   1/1     Running   0          27m   10.128.2.8    ci-ln-w2x1vi2-f76d1-bbrl5-worker-a-wrzs6   <none>           <none>
downloads-7cc4fb98f5-p6p9s   1/1     Running   0          27m   10.131.0.17   ci-ln-w2x1vi2-f76d1-bbrl5-worker-c-ffjh8   <none>           <none>

Comment 7 errata-xmlrpc 2021-09-27 19:53:12 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (OpenShift Container Platform 4.8.13 bug fix update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2021:3632


Note You need to log in before you can comment on or make changes to this bug.